---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all data_type_values in project

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "data_type_value": {
        "type": "object",
        "description": "Represents a value (usually as part of a `Form` entry)",
        "required": [
          "id",
          "creator_user_id",
          "last_editor_user_id",
          "data_type_id",
          "project_id",
          "created_at",
          "device_created_at",
          "device_updated_at",
          "resolved_conflict",
          "updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "data_type_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the `DataType` this value denotes"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "bigint_value": {
            "type": "integer",
            "format": "int64",
            "nullable": true,
            "description": "Big integer value if this belongs to a bigint `DataType`"
          },
          "boolean_value": {
            "type": "boolean",
            "nullable": true,
            "description": "Boolean value if this belongs to a boolean `DataType`"
          },
          "string_value": {
            "type": "string",
            "nullable": true,
            "description": "String value if this belongs to a string `DataType` (suitable for short form text)"
          },
          "date_value": {
            "type": "string",
            "format": "date",
            "nullable": true,
            "description": "Date value if this belongs to a date `DataType`"
          },
          "checkbox_value": {
            "type": "string",
            "enum": [
              "empty",
              "yes",
              "no",
              "not_applicable",
              null
            ],
            "nullable": true,
            "description": "Checkbox value if this belongs to a checkbox `DataType`"
          },
          "decimal_value": {
            "type": "string",
            "nullable": true,
            "description": "Decimal value if this belongs to a decimal `DataType`"
          },
          "text_value": {
            "type": "string",
            "nullable": true,
            "description": "Text value if this belongs to a bigint `DataType` (suitable for long form text)"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "datetime_value": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Date & time value if this belongs to a datetime `DataType`"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "hidden_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time when this value was marked as hidden (can be only done if this belongs to a strict `DataType`)"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/data_type_values": {
      "get": {
        "summary": "Get all data_type_values in project",
        "operationId": "get_data_type_values_in_project",
        "tags": [
          "data type values"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/project_id"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "39238ab3-2509-4fa4-9758-4f663f48ad31",
                    "creator_user_id": 690,
                    "last_editor_user_id": 690,
                    "project_id": "268de0fc-83ed-4bd8-83a6-7572d6863685",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:48:54.811Z",
                    "updated_at": "2026-10-02T14:48:54.812Z",
                    "device_created_at": "2026-10-02T14:48:54.811Z",
                    "device_updated_at": "2026-10-02T14:48:54.811Z",
                    "deleted_at": null,
                    "bigint_value": 100,
                    "string_value": null,
                    "text_value": null,
                    "boolean_value": null,
                    "checkbox_value": null,
                    "decimal_value": null,
                    "datetime_value": null,
                    "date_value": null,
                    "data_type_id": "b3c6a34e-a1ac-42a9-ba91-79a01995d5e9",
                    "hidden_at": null
                  },
                  {
                    "id": "51c8365c-d86f-4832-8432-54292c712e20",
                    "creator_user_id": 690,
                    "last_editor_user_id": 690,
                    "project_id": "268de0fc-83ed-4bd8-83a6-7572d6863685",
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-02T14:48:54.818Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "bigint_value": 100,
                    "string_value": null,
                    "text_value": null,
                    "boolean_value": null,
                    "checkbox_value": null,
                    "decimal_value": null,
                    "datetime_value": null,
                    "date_value": null,
                    "data_type_id": "684caca3-a9b0-4380-9de3-345fe3607573",
                    "hidden_at": null
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/data_type_value"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```